%global bundle  org.apache.felix.gogo.command

%bcond_without tests

Name:           felix-gogo-command
Version:        1.1.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        Apache Felix Gogo command line shell for OSGi
License:        ASL 2.0
URL:            https://felix.apache.org/documentation/subprojects/apache-felix-gogo.html
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:) >= 5
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:  mvn(org.osgi:osgi.annotation)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)
%if %{with tests}
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
Apache Felix Gogo is a subproject of Apache Felix implementing a command
line shell for OSGi. It is used in many OSGi runtimes and servers.

This package implements a set of basic commands.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file : felix/%{bundle}

# Use compendium dep
%pom_remove_dep :org.osgi.service.log
%pom_xpath_inject "pom:dependencies" "
<dependency>
<groupId>org.osgi</groupId>
<artifactId>osgi.cmpn</artifactId>
</dependency>"

%build
%if %{with tests}
%mvn_build
%else
%mvn_build -f
%endif

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 23 2024 ns80 <ns80> 1.1.2-3.mga10
+ Revision: 2066589
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1.2-2.mga9
+ Revision: 1827742
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 1.1.2-1.mga9
+ Revision: 1700328
- Update to latest upstream release 1.1.2

* Fri Sep 11 2020 daviddavid <daviddavid> 1.0.2-4.mga8
+ Revision: 1624366
- Inject jUnit dependency
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1501378
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1278225
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1254631
- new version: 1.0.2 (sync with fc29)

* Wed Mar 02 2016 neoclust <neoclust> 0.16.0-5.mga6
+ Revision: 982595
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.16.0-4.mga6
+ Revision: 976228
- First rebuild of the java stack
- sync package felix-gogo-command with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.14.0-2.mga5
+ Revision: 805659
- Clean rebuild
- Sync with Fedora 21 (Update to 0.14.0)
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-6.mga5
+ Revision: 738990
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 0.12.0-4.mga4
+ Revision: 558751
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.12.0-2.mga3
+ Revision: 350118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.12.0-1.mga3
+ Revision: 268219
- New version

* Tue Nov 01 2011 dmorgan <dmorgan> 0.6.1-1.mga3
+ Revision: 160966
- Fix typo in version
+ gil <gil>
- imported package felix-gogo-command

